OAuth authorization server metadata
GET
/.well-known/oauth-authorization-server/oauth
const url = 'https://api.deploybase.eu/api/v1/.well-known/oauth-authorization-server/oauth';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/.well-known/oauth-authorization-server/oauthRFC 8414 metadata of the agent OAuth authorization server (DEP-670). Also served at /oauth/.well-known/oauth-authorization-server. There is no registration endpoint: clients identify with a Client ID Metadata Document URL or a pre-registered id.
Responses
Section titled “ Responses ”OK
Media type application/json
object
authorization_endpoint
string
authorization_response_iss_parameter_supported
boolean
client_id_metadata_document_supported
boolean
code_challenge_methods_supported
Array<string>
grant_types_supported
Array<string>
issuer
string
response_types_supported
Array<string>
revocation_endpoint
string
revocation_endpoint_auth_methods_supported
Array<string>
scopes_supported
Array<string>
token_endpoint
string
token_endpoint_auth_methods_supported
Array<string>
Example generated
{ "authorization_endpoint": "example", "authorization_response_iss_parameter_supported": true, "client_id_metadata_document_supported": true, "code_challenge_methods_supported": [ "example" ], "grant_types_supported": [ "example" ], "issuer": "example", "response_types_supported": [ "example" ], "revocation_endpoint": "example", "revocation_endpoint_auth_methods_supported": [ "example" ], "scopes_supported": [ "example" ], "token_endpoint": "example", "token_endpoint_auth_methods_supported": [ "example" ]}Live a8b7eb1d built